<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.
*/
# ***************************************
# POSH Modules management - XML List of all the modules
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$granted="A";
$pagename="admin/xml_allservices.php";
//includes
require('includes.php');
require_once('../../../../includes/xml.inc.php');

//control that the current administrator has access to the script
$grantedCalls = array("modulestab");
require('../../../../admin/adm_ctrl_access.php');

$file = new xmlFile();

$file->header("channel");

$p = $_GET["p"];

echo "<page>".$p."</page>";

if($_SESSION['user_id']>1) {
    $DB->getResults($widgets_mob_getAdminAllowedWidgets,$DB->escape($_SESSION['user_id']),$DB->escape(($p-1)*21));
}
else {
    $DB->getResults($widgets_mob_getAllValidXml,$DB->escape(($p-1)*21));
}
while ($row = $DB->fetch(0)) {
    echo "<item>";
    echo "<id>".$row["id"]."</id>";
    echo "<name><![CDATA[".$row["name"]."]]></name>";
    echo "<status>".$row["status"]."</status>";
    echo "<icon>".$row["icon"]."</icon>";
    echo "<available>".$row["available"]."</available>";
    echo "</item>";
}
$DB->freeResults();

$file->footer("channel");
?>